## python-twitchapi 4.2.1

=== requirements.txt ===
aiohttp>=3.9.3
python-dateutil>=2.8.2
typing_extensions

=== docs/requirements.txt ===
enum-tools[sphinx]
sphinx_toolbox
aiohttp
python-dateutil
sphinx
pygments
typing_extensions
sphinx-autodoc-typehints
pydata-sphinx-theme==0.14.4
recommonmark
sphinx-paramlinks

=== debian/changelog ===
python-twitchapi (4.2.1-2) unstable; urgency=medium

  * Source-only upload to allow package to migrate to testing.

 -- Edward Betts <edward@4angle.com>  Wed, 31 Jul 2024 17:11:06 +0900

python-twitchapi (4.2.1-1) unstable; urgency=medium

  * Initial release. (Closes: #1076988)

 -- Edward Betts <edward@4angle.com>  Thu, 25 Jul 2024 12:49:59 +0900

=== debian/control ===
Source: python-twitchapi
Maintainer: Home Assistant Team <team+homeassistant@tracker.debian.org>
Uploaders: Edward Betts <edward@4angle.com>
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               pybuild-plugin-pyproject,
               python3-aiohttp <!nocheck>,
               python3-dateutil <!nocheck>,
               python3-typing-extensions <!nocheck>,
               python3-all,
               python3-setuptools
Rules-Requires-Root: no
Standards-Version: 4.7.0
Homepage: https://github.com/Teekeks/pyTwitchAPI
Vcs-Browser: https://salsa.debian.org/homeassistant-team/deps/python-twitchapi
Vcs-Git: https://salsa.debian.org/homeassistant-team/deps/python-twitchapi.git

Package: python3-twitchapi
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: Python library for interacting with various Twitch APIs
 Provides a comprehensive implementation of the Twitch Helix API, PubSub,
 EventSub, and Chat functionalities. Designed to facilitate integration with
 Twitch services, this library supports features such as user authentication,
 event subscriptions, and chat bot capabilities. It allows for both app and
 user authentication, enabling better rate limits and access to user-specific
 data. PubSub topics and EventSub subscriptions are easily managed, while the
 chat component can monitor and respond to messages and user actions within
 Twitch channels.

## python-twitchapi 4.3.1

=== debian/changelog ===
python-twitchapi (4.3.1-1) unstable; urgency=medium

  * New upstream release.
  * Add new upstream dependency on enum-tools.
  * Move packages required for tests to Build-Depends-Indep.

 -- Edward Betts <edward@4angle.com>  Sun, 03 Nov 2024 18:49:22 +0100

## python-twitchapi 4.4.0

=== docs/requirements.txt ===
enum-tools[sphinx]
sphinx_toolbox
aiohttp
python-dateutil
sphinx==8.1.3
pygments
typing_extensions
sphinx-autodoc-typehints
pydata-sphinx-theme==0.16.1
recommonmark
sphinx-paramlinks
sphinx_favicon
sphinx-copybutton
sphinx-design

=== debian/changelog ===
python-twitchapi (4.4.0-1) unstable; urgency=medium

  * New upstream release.

 -- Edward Betts <edward@4angle.com>  Sat, 28 Dec 2024 15:50:50 +0000

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,20 @@
 Source: python-twitchapi
 Maintainer: Home Assistant Team <team+homeassistant@tracker.debian.org>
-Uploaders: Edward Betts <edward@4angle.com>
+Uploaders:
+ Edward Betts <edward@4angle.com>,
 Section: python
 Priority: optional
-Build-Depends: debhelper-compat (= 13),
-               dh-sequence-python3,
-               pybuild-plugin-pyproject,
-               python3-aiohttp <!nocheck>,
-               python3-dateutil <!nocheck>,
-               python3-typing-extensions <!nocheck>,
-               python3-all,
-               python3-setuptools
+Build-Depends:
+ debhelper-compat (= 13),
+ dh-sequence-python3,
+ pybuild-plugin-pyproject,
+ python3-all,
+ python3-setuptools,
+Build-Depends-Indep:
+ python3-aiohttp <!nocheck>,
+ python3-dateutil <!nocheck>,
+ python3-enum-tools <!nocheck>,
+ python3-typing-extensions <!nocheck>,
 Rules-Requires-Root: no
 Standards-Version: 4.7.0
 Homepage: https://github.com/Teekeks/pyTwitchAPI
@@ -19,7 +23,9 @@
 
 Package: python3-twitchapi
 Architecture: all
-Depends: ${misc:Depends}, ${python3:Depends}
+Depends:
+ ${misc:Depends},
+ ${python3:Depends},
 Description: Python library for interacting with various Twitch APIs
  Provides a comprehensive implementation of the Twitch Helix API, PubSub,
  EventSub, and Chat functionalities. Designed to facilitate integration with

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=twitchapi

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	rm -rf twitchapi.egg-info/

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/python-twitchapi-$1\.tar\.gz/ \
  https://github.com/Teekeks/pyTwitchAPI/tags .*/v?(\d\S+)\.tar\.gz

## python-twitchapi 4.5.0

=== requirements.txt ===
aiohttp>=3.9.3
python-dateutil>=2.8.2
typing_extensions
enum-tools

=== debian/changelog ===
python-twitchapi (4.5.0-1) unstable; urgency=medium

  * New upstream release.
  * Update Standards-Version.
  * Update copyright year.
  * Simplify debian/rules.
  * Simplify debian/watch.

 -- Edward Betts <edward@4angle.com>  Fri, 30 May 2025 09:18:35 -0500

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
  python3-enum-tools <!nocheck>,
  python3-typing-extensions <!nocheck>,
 Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/Teekeks/pyTwitchAPI
 Vcs-Browser: https://salsa.debian.org/homeassistant-team/deps/python-twitchapi
 Vcs-Git: https://salsa.debian.org/homeassistant-team/deps/python-twitchapi.git

=== debian/watch ===
version=4
https://github.com/Teekeks/pyTwitchAPI/tags .*/v?(\d\S+)\.tar\.gz
